nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
AxisMediaEncoder Class Reference

Implementation of nxcip::CameraMediaEncoder. More...

`#include <axis_media_encoder.h>`

Inheritance diagram for AxisMediaEncoder:

## Public Member Functions
| AxisMediaEncoder (AxisCameraManager *const cameraManager)
| Initialization. More...
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual int | getMediaUrl (char *urlBuf) const override
| Implementation of nxcip::CameraMediaEncoder::getMediaUrl.
virtual int | getResolutionList (nxcip::ResolutionInfo *infoList, int *infoListCount) const override
| Implementation of nxcip::CameraMediaEncoder::getResolutionList.
virtual int | getMaxBitrate (int *maxBitrate) const override
| Implementation of nxcip::CameraMediaEncoder::getMaxBitrate.
virtual int | setResolution (const nxcip::Resolution &resolution) override
| Implementation of nxcip::CameraMediaEncoder::setResolution.
virtual int | setFps (const float &fps, float *selectedFps) override
| Implementation of nxcip::CameraMediaEncoder::setFps.
virtual int | setBitrate (int bitrateKbps, int *selectedBitrateKbps) override
| Implementation of nxcip::CameraMediaEncoder::setBitrate.

## Detailed Description

Implementation of nxcip::CameraMediaEncoder.

Note
  Delegates reference counting to AxisCameraManager instance (i.e., increments AxisCameraManager reference counter on initialization and decrements on destruction)

## Constructor & Destructor Documentation

## ◆ AxisMediaEncoder()

AxisMediaEncoder::AxisMediaEncoder | ( | AxisCameraManager *const | cameraManager | ) |

Initialization.

Parameters

  cameraManager | Reference counting is delegated to this object

The documentation for this class was generated from the following files:

- samples/device/axis_camera_plugin/src/axis_media_encoder.h
- samples/device/axis_camera_plugin/src/axis_media_encoder.cpp